Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.persistence
Class TMResult

    java.lang.Object
      com.sun.mdm.index.persistence.TMResult

All Implemented Interfaces:
  java.io.Serializable

public class TMResult
extends java.lang.Object
implements java.io.Serializable

The TMResult class represents the results of the Transaction Manager. Use this class to retrieve the transaction number when using updateEnterpriseDupRecalc.

See Also:
  Serialized Form

Field Summary
`static TMResult` | `NO_CHANGE_TRANSACTION`

Constructor Summary
`TMResult()` Creates a new instance of the TMResult class.
`TMResult(java.lang.String euid, java.lang.String tmid)` Creates a new instance of the TMResult class.

Method Summary
`java.lang.String` | `getEUID()` Retrieves the EUID from an instance of TMResult.
`java.lang.String` | `getTMID()` Retrieves the transaction number from an instance of TMResult.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_CHANGE_TRANSACTION

    public static final TMResult NO_CHANGE_TRANSACTION

Constructor Detail

### TMResult

    public TMResult()

  Creates a new instance of the TMResult class.

  Parameters:
    None.
  Returns:
    The results of the Transaction Manager.
  Throws:
    None.

### TMResult

    public TMResult(java.lang.String euid,
                    java.lang.String tmid)

  Creates a new instance of the TMResult class.

  Parameters:
    `euid` - The EUID for the transaction.
    `tmid` - The transaction number for the transaction.
  Returns:
    The results of the Transaction Manager.
  Throws:
    None.

Method Detail

### getEUID

    public java.lang.String getEUID()

  Retrieves the EUID from an instance of TMResult.

  Parameters:
    None.

  Returns:
    `String` - The EUID for the transaction.
  Throws:
    None.

### getTMID

    public java.lang.String getTMID()

  Retrieves the transaction number from an instance of TMResult.

  Parameters:
    None.

  Returns:
    `String` - The transaction number for the transaction.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.